language: cn
model_unique_abbr: GWPCA_R
version: 1.0
identification:
  docker_image_name: gwmodel:2.4
  docker_run_prefix:
  - /scripts/gwpca.r
  model_name: 地理加权主成分分析
  semantic: dimension_reduction_analysis
  description: 通过引入空间位置变量，计算空间距离，进行局部尺度下数据降维与理解的主成分分析算法。
  category_application: 诊断型
  category_data:
  - 矢量点
  - 矢量面
  keywords:
  - 主成分分析
  - 空间异质性
  - 时间回归
parameter_info:
  parameters:
  - arg_name: f
    param_type: input_data
    name: 矢量空间数据
    description: 带有属性表的矢量数据
    data_type: shp
    data_semantic: vector space data
  - arg_name: d
    param_type: param
    name: 因变量
    description: 进行地理加权主成分分析的因变量
    data_type: str
    data_semantic: dependent variable
  - arg_name: i
    param_type: param
    name: 自变量
    description: 进行地理加权主成分分析的所有自变量
    data_type: str
    data_semantic: independent variable
  - arg_name: k
    param_type: param
    name: 核函数
    description: 用于加权的距离衰减核函数
    is_required: false
    data_type: enum
    data_semantic: kernel function
    specification:
      default: gaussian
      enum:
      - gaussian
      - exponential
      - bisquare
      - tricube
      - boxcar
  - arg_name: t
    param_type: param
    name: 带宽类型
    description: "是否采用自适应带宽(即最近邻居数量),若为false则采用实际距离"
    is_required: false
    data_type: bool
    data_semantic: bandwidth type
    specification:
      default: "true"
  - arg_name: s
    param_type: param
    name: 带宽优选
    description: 是否采用自动优选带宽
    is_required: false
    data_type: bool
    data_semantic: bandwidth optimization
    specification:
      default: "true"
  - arg_name: b
    param_type: param
    name: 带宽大小
    description: "带宽大小,当带宽类型为True代表最近邻居数量,带宽为false时代表空间距离"
    is_required: false
    data_type: float
    data_semantic: bandwidth size
    param_switches:
    - switch_arg_name: s
      switch_arg_value_regex: "false"
      switch_arg_value_examples: ["false"]
  - arg_name: c
    param_type: param
    name: 保留的主成分
    description: 保留的主成分个数
    is_required: false
    data_type: int
    data_semantic: components want to keep
    specification:
      default: "3"
  - arg_name: r
    param_type: output_data
    name: 结果空间数据
    description: "将计算结果以空间数据的形式输出。要素与源数据的要素相同,属性表包括:各个自变量和因变量的真实值,各个自变量和因变量在每个保留的主成分的局部载荷值"
    data_type: shp
    data_semantic: result spatial data
  - arg_name: h
    param_type: output_data
    name: 模型诊断信息
    description: "诊断信息输出:计算时间，保留的主成分个数、计算的数据量，所有主成分的标准差、累积贡献率等，每个变量在每个主成分对应的载荷等"
    data_type: txt
    data_semantic: model diagnostic information
application:
  domain: 地理加权视角下的主成分分析
  objective: 通过关于位置的局部加权回归分析模型求解，以随着空间位置不同，时间点差异而变化的参数估计结果，量化反映时空数据关系中的异质性或非平稳性特征
  link_models:
    preorder: []
    alternative: []
  dimension:
  - 二维
  timestep: []
  spatial_resolution: []
  spatial_reference: []
  mechanism: 通过计算地理空间对象的属性关于空间位置的方差-协方差矩阵并进行正交分解，得到对应的特征值和特征向量，从而识别各个主成分载荷在精细空间尺度下的变化，以更好地体现地理空间对象属性的空间异质性特征。
operation:
  usage: 模型参数包括必选参数输入数据、因变量、自变量、输出数据，可选参数包括保留的主成分个数、核函数、带宽类型、带宽优选，选择带宽优选后可指定带宽优选方法，若不选择带宽优选则需指定带宽大小。
  exec_example:
  - "docker run -v $PWD/data:/data gwmodel:2.2 /data/scripts/gwpca.r -f /data/data/gwpca-example.shp -d y -i x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13 -t true -k \"bisquare\" -c 5 -r result.shp -h result.txt"
  output_display:
  - 制作各变量局部载荷变化的分级设色图
  - 展示模型诊断信息txt
  license:
  - GPL-2
  - GPL-3
technique:
  language:
  - R
  - C++
  os:
  - Linux
  - Windows
  parallel:
  - unsupported
  hardware: []
  dependencies:
  - name: GWmodel
    version: 2.2-9
source:
  maintainer: Guangyu Ou
  organization: Wuhan University
  contact: g_ruoyu@qq.com
  repository: https://github.com/GWmodel-Lab
  integrated_softwares:
  - name: GWmodel
    version: 2.2-9
    license: GPL-2
  references:
  - "Binbin Lu, Paul Harris, Martin Charlton & Chris Brunsdon (2014) The GWmodel R package: further topics for exploring spatial heterogeneity using geographically weighted models, Geo-spatial Information Science, 17:2, 85-101, DOI: 10.1080/10095020.2014.917453"
  - "Harris, P., Brunsdon, C., Charlton, M. 2011. Geographically weighted principal components analysis. International Journal of Geographical Information Science, 25(10): 1717–1736."
